Commit 0146bd85 authored by Iustin Pop's avatar Iustin Pop
Browse files

Merge branch 'devel-2.1'



* devel-2.1:
  Enable from-repository builds on old distributions
Signed-off-by: default avatarIustin Pop <iustin@google.com>
Reviewed-by: default avatarManuel Franceschini <livewire@google.com>
parents a744b676 5f55173b
......@@ -482,7 +482,7 @@ man/%.7.in man/%.8.in: man/%.sgml man/footer.sgml $(DOCBOOK_WRAPPER)
@test -n "$(DOCBOOK2MAN)" || \
{ echo 'docbook2man' not found during configure; exit 1; }
$(DOCBOOK_WRAPPER) "$(DOCBOOK2MAN)" $< $(notdir $(@:.in=)) $@
$(CHECK_MAN) $@
if test -n "$(MAN_HAS_WARNINGS)"; then $(CHECK_MAN) $@; fi
man/%.html.in: man/%.sgml man/footer.sgml $(DOCBOOK_WRAPPER)
@test -n "$(DOCBOOK2HTML)" || \
......
......@@ -297,6 +297,17 @@ fi
AC_SUBST(SOCAT_USE_ESCAPE)
if man --help | grep -q -e --warnings
then
MAN_HAS_WARNINGS=1
else
MAN_HAS_WARNINGS=
AC_MSG_WARN([man doesn't support --warnings, man pages checks
will not be possible])
fi
AC_SUBST(MAN_HAS_WARNINGS)
# Check for Python
AM_PATH_PYTHON(2.4)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment